Upsert Custom CAL Packages

post

/config/sim/v2/setup/cal/upsertCustomPackage

Updates provided fields if the Custom CAL Package exists; inserts a new Custom CAL Package if it does not.

Request

Supported Media Types
Header Parameters
Body ()
Custom CAL Package upsert request body. If packageId identifies an existing package, omitted fields are preserved. If packageId is not specified or does not identify an existing package, insert-required fields must be supplied.
Root Schema : schema
Type: object
Show Source
  • Default Value: 1000
    Deployment order of the Custom CAL Package. Enter a number between 1000 and 999999999.
    Example: 1000
  • Folder name of the Custom CAL Package. If not specified during insert, packageName is used.
    Example: CustomCALPackage
  • A string value of 0s and 1s of length 8 representing the service host types where the Custom CAL Package can be deployed.
    Example: 00000000
  • Unique reference of the Custom CAL Package.
    Example: 101
  • Name of the Custom CAL Package. Required in case of inserting a new Custom CAL Package.
    Example: CustomCALPackage
  • Default Value: 0
    Platform that receives the Custom CAL Package. Valid values are 0, 1, 50, 69, and 80.
    Example: 50
  • Version of the Custom CAL Package.
    Example: 2.0.0.2
Back to Top

Response

Supported Media Types

200 Response

Custom CAL Package updated.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Custom CAL Package inserted.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top